(use-modules (ordo core)
             (ordo inventory)
             (ordo connection)
             (ordo logger)
             (srfi srfi-26))

(define uptime (task #:name "uptime" #:action (cut remote-cmd <> "uptime" #:return car)))

(define flow (workflow
              (execute uptime "limiting-factor" '(#:sudo #t))))

(define resolver (load-inventory "examples/inventory.scm"))

;; IDEA: have load-inventory! set an *inventory* parameter and remove the execute methods
;; that take a <host-resolver> argument, making this implicit.
